Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type Canvas

Extends Composite.
RWT Scripting analoge to org.eclipse.swt.widgets.Canvas

Type Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Canvas() The constructor is not public.

Fields borrowed from class Widget:
  $el

Method Summary
Method Attributes | Method Name and Description
--- | ---
| redraw() Fires a Paint event.

Methods borrowed from class Composite:
  append, getClientArea
Methods borrowed from class Control:
  addListener, forceFocus, getBackground, getCursor, getEnabled, getForeground, getToolTipText, getVisible, removeListener, setBackground, setEnabled, setForeground, setToolTipText, setVisible
Methods borrowed from class Widget:
  getData, setData

Events borrowed from class Composite:
  Resize
Events borrowed from class Control:
  Dispose, FocusIn, FocusOut, Hide, KeyDown, KeyUp, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseMove, MouseUp, MouseWheel, Paint, Show

Type Detail
Canvas()
The constructor is not public.

Since:
  2.2

Method Detail
redraw()
Fires a Paint event.

Only `ClientListener` are notified, not server side listener.

See:
  SWT.Paint
  Event#gc

Copyright (c) EclipseSource and others 2013, 2019. All rights reserved.